Bug 9148 - Проблемы с bash вызваным как /bin/sh
: Проблемы с bash вызваным как /bin/sh
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/bash-completion)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 9273 15068
:
  Show dependency tree
 
Reported: 2006-02-24 16:38 by
Modified: 2008-03-27 20:40 (History)


Attachments
патч проверки вызванного шелла (910 bytes, patch)
2006-06-01 16:04, Vadim Gusev
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-02-24 16:38:01
[root@nb ~]# su -l -s /bin/sh dfo
-sh: shopt: progcomp: invalid shell option name
-sh: complete: command not found
...

Проблема вылезает на /etc/cron.*/makewhatis, например.
------- Comment #1 From 2006-06-01 16:04:17 -------
Created an attachment (id=1510) [details]
патч проверки вызванного шелла
------- Comment #2 From 2006-06-01 16:04:55 -------
Надоело уже вычищать логи. 
------- Comment #3 From 2006-07-14 14:56:17 -------
bash-completion-20060301-alt03 with bugfix uploaded
------- Comment #4 From 2006-07-14 19:32:44 -------
bash-completion.sh не изменялся, так что все равно не работает. 
------- Comment #5 From 2006-07-14 19:40:41 -------
Он просто еще в инкаминге
------- Comment #6 From 2006-07-24 11:38:47 -------
Патчик не идеален, но ошибка fixed. 
------- Comment #7 From 2008-02-22 01:17:05 -------
bash-3.1.17-alt4
sh-3.1.17-alt4
bash-completion-20060301-alt04

$ sh --login
sh: shopt: progcomp: invalid shell option name
sh: complete: command not found
< many times >
sh: complete: command not found
sh: shopt: hostcomplete: invalid shell option name
sh: complete: command not found
sh: shopt: hostcomplete: invalid shell option name
sh: complete: command not found
< many times >
sh: complete: command not found
sh-3.1$ 
------- Comment #8 From 2008-02-22 01:24:03 -------
If it is moved to /etc/bashrc.d/ (#9273), this problem will be solved. (`sh
--login' doesn't read /etc/bashrc.d/.)
------- Comment #9 From 2008-02-22 17:40:36 -------
Залито исправленное
------- Comment #10 From 2008-03-25 20:17:09 -------
Спасибо! С bash-completion-20060301-alt05 лучше. (А то, что происходит вот так,
так это из-за /etc/profile.d/gvfs-bash-completion.sh из gvfs-0.2.0.1-alt2,
наверное -- https://bugzilla.altlinux.org/show_bug.cgi?id=15068 :

$ sh --login
sh: complete: command not found
sh: complete: command not found
sh: complete: command not found
sh: complete: command not found
sh: complete: command not found
sh: complete: command not found
sh: complete: command not found
sh: complete: command not found
sh: complete: command not found
sh: complete: command not found
sh: complete: command not found
sh: complete: command not found
sh: complete: command not found
sh: complete: command not found
sh-3.1$ 

.)